aboutsummaryrefslogtreecommitdiffstats
path: root/git-submodule.sh
diff options
context:
space:
mode:
authorStefan Beller <sbeller@google.com>2019-01-18 13:55:19 -0800
committerJunio C Hamano <gitster@pobox.com>2019-01-18 15:28:13 -0800
commit5d124f419d1e9b7d22fae915627de7e463bf7c42 (patch)
treeac58525289410a62b60f24315622a2548823ca63 /git-submodule.sh
parent0d0ac3826a3bbb9247e39e12623bbcfdd722f24c (diff)
downloadgit-5d124f419d1e9b7d22fae915627de7e463bf7c42.tar.gz
git-submodule: abort if core.worktree could not be set correctly
74d4731da1f (submodule--helper: replace connect-gitdir-workingtree by ensure-core-worktree, 2018-08-13) forgot to exit the submodule operation if the helper could not ensure that core.worktree is set correctly. Signed-off-by: Stefan Beller <sbeller@google.com> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 'git-submodule.sh')
-rwxr-xr-xgit-submodule.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/git-submodule.sh b/git-submodule.sh
index 5e608f8bad..02a0d72817 100755
--- a/git-submodule.sh
+++ b/git-submodule.sh
@@ -548,7 +548,7 @@ cmd_update()
do
die_if_unmatched "$quickabort" "$sha1"
- git submodule--helper ensure-core-worktree "$sm_path"
+ git submodule--helper ensure-core-worktree "$sm_path" || exit 1
update_module=$(git submodule--helper update-module-mode $just_cloned "$sm_path" $update)